﻿<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %} 聊天 {% endblock %}

{% block head %}
{{ super() }}
	<script>
		function scrollWindow_TOP() {
			window.scrollTo(0, 0);
		}
		function scrollWindow_DOWN() {
			window.scrollTo(0, 0);
		}
	</script>
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="contact-box text-center">
	<a style="font-size:13px" href="{{ url_for('chat.message_list') }}" class="btn btn-primary mr-1 mb-3">返回消息列表</a>
	{% if message_list %}
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id,location=0) }}"
		class="btn btn-primary mr-1 mb-3">查看消息历史</a>
	{% endif %}
	<a style="font-size:13px;color:rgb(255,255, 255)" onclick="window.scrollTo(0,document.body.scrollHeight-1150);"
		class="btn btn-primary mr-1 mb-3">底部</a>
</div>

<div class="page-wrap">
	<div class="page-content">
		<main class="main-content">
			<section class="section-featured-products">
				<div class="container">
					<div class="section-title text-center">
						{% if message_list %}
						<h2 class="h3 section-title__heading">您与{{chat_partner_name}}的聊天内容如下</h2>
						{% else %}
						<h2 class="h3 section-title__heading">您暂时没有消息记录</h2>
						{% endif %}
					</div>

					{% if message_list %}
					<ul> {#从这里开始显示所有最近不超过10条的消息记录#}
						{% for message in message_list %}
						<a style="font-size:25px;color:rgb(65, 167, 61)">{{message.sender_name}}</a>
						{% if message.sender_id == user_id %}
						<a style="font-size:15px;color:rgb(200, 60, 60)">(我)</a>
						{% endif %}
						<a style="font-size:15px;color:rgb(10,100, 250)">&nbsp&nbsp&nbsp&nbsp&nbsp
							{{message.timestamp.strftime("%Y/%m/%d")}}&nbsp
							{{message.timestamp.strftime("%H:%M:%S")}}</a>
						<br />
						<p style="font-size:20px">&nbsp&nbsp&nbsp&nbsp{{message.content}}</p>
						{% endfor %}

					</ul>
					{% endif %}
					<div class="contact-box text-center">
						<form name="input" method="post">
							<div class="form-group">
								<textarea class="form-control" id="message" required="required" name="Text" rows="10"
									placeholder="请写一些话吧..."></textarea>
							</div>
							<button type="submit">提 交</button>
						</form>
					</div>
					<script>
						//定义变量
						//var str='hello';
						//获取form表单     
						var formdeal = document.getElementById("input");
						//制定表单action地址，可以加一些变量参数
						formdeal.action = "chat/" + str(user_id) + "/" + str(chat_partner_id) + "/" + str(prod_id);
						alert(formdeal.action);
						//制定跳转页面打开方式，默认的是_self,如果想在新窗口打开，可以用_blank
						formdeal.target = "_self";

						//提交表单
						formdeal.submit();

					</script>

				</div>
			</section>
		</main> <!-- end of main -->
	</div>
</div>

<div class="contact-box text-center">
	<a style="font-size:13px" href="{{ url_for('chat.message_list') }}" class="btn btn-primary mr-1 mb-3">返回消息列表</a>
	{% if message_list %}
	<a style="font-size:13px"
		href="{{ url_for('chat.chat_records',user_id=user_id,chat_partner_id=chat_partner_id,prod_id=prod_id,location=0) }}"
		class="btn btn-primary mr-1 mb-3">查看消息历史</a>
	{% endif %}
	<a style="font-size:13px;color:rgb(255,255, 255)" onclick="window.scrollTo(0,0);"
		class="btn btn-primary mr-1 mb-3">顶部</a>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}

{% block body_pro %}onload="window.scrollTo(0,document.body.scrollHeight-1150);"{% endblock %}